import 'server-only'
import type {Meeting, Prisma} from '@/generated/prisma/client'

export type CreateMeetingParams = Prisma.MeetingUncheckedCreateInput

export function createMeeting({contactId, ...meeting}: CreateMeetingParams): Promise<Meeting> {
  throw new Error('Not implemented')
}

export function getMeetings(): Promise<Meeting[]> {
  throw new Error('Not implemented')
}

export function getMeeting(id: string): Promise<Meeting> {
  throw new Error('Not implemented')
}

export interface UpdateMeetingParams extends CreateMeetingParams {
  id: string
}

export function updateMeeting({contactId, ...meeting}: UpdateMeetingParams): Promise<Meeting> {
  throw new Error('Not implemented')
}

export async  function deleteMeeting(id: string): Promise<void> {
  throw new Error('Not implemented')
}
